/* DynGenPar: Dynamic Generalized Parser - Graphical PGF import test program
   Copyright (C) 2010 Kevin Kofler <kevin.kofler@chello.at>

   Support by the Austrian Science Fund FWF under contract number P20631
   is gratefully acknowledged.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>. */

#include <KApplication>
#include <KAboutData>
#include <KCmdLineArgs>
#include "pgfgui-mainwindow.h"

static KApplication *app;

// main function for testing purposes
int main(int argc, char **argv)
{
  KAboutData aboutData("pgfgui", QByteArray(),
                       ki18n("DynGenPar PGF GUI"),
                       "0.0.1", ki18n("Graphical Demo App for Prediction on "
                                      "PGF Grammars"),
                       KAboutData::License_GPL_V2,
                       ki18n("Copyright (C) 2010 Kevin Kofler "
                             "<kevin.kofler@chello.at>"),
                       ki18n("Demonstrates the prediction functionality of the "
                             "dynamic parser on compiled Grammatical Framework "
                             "grammars"),
                       "http://www.mat.univie.ac.at/~neum/FMathL.html",
                       "kevin.kofler@chello.at");
  aboutData.addLicense(KAboutData::License_GPL_V3);
  aboutData.addAuthor(ki18n("Kevin Kofler"), ki18n("Author"),
                      "kevin.kofler@chello.at");
  aboutData.addCredit(ki18n("Support by the Austrian Science Fund FWF under "
                            "contract number P20631 is gratefully "
                            "acknowledged."));

  KCmdLineArgs::init(argc, argv, &aboutData);
  KCmdLineOptions options;
  options.add("+[pgf]", ki18n("PGF file to load"));
  KCmdLineArgs::addCmdLineOptions(options);

  app = new KApplication();
  KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
  MainWindow *mainWindow = new MainWindow;
  if (args->count())
    mainWindow->loadPgf(args->arg(0));
  mainWindow->show();
  int status = app->exec();

  args->clear();
  delete app;
  return status;
}
